Test Groups

List test groups

Returns all active test groups for the app.

GET /api/public/v1/test-groups

List test groups

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/test-groups' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "groups": [
    {
      "id": "<string>",
      "createdAt": 1,
      "name": "<string>",
      "description": "<string>",
      "testCount": 1,
      "updatedAt": 1
    }
  ]
}

Groups found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Query Parameters

  • appId string required

    App ID.

Response

application/json
  • groups[] object array

    Test groups for the app.

    + Show Child Attributes
    • id string

      Opaque identifier for this resource.

    • createdAt number

      Unix timestamp in milliseconds when the resource was created.

    • name string

      Human-readable name for the resource.

    • description string | null

      Human-readable description for the resource.

    • testCount number

      Number of tests currently in the group.

    • updatedAt number

      Unix timestamp in milliseconds when the resource was last updated.